<ion-card
    class="card ion-no-padding ion-no-margin"
    [ngClass]="{ 'no-shadow': !hasShadow }"
>
    <ion-row class="ion-align-items-center">
        <!-- Left Content -->
        <ion-col class="ion-no-padding" size="auto">
            <ng-content select="[left-content]"></ng-content>
        </ion-col>
        <!-- Content -->
        <ion-col class="ion-no-padding">
            <ng-content select="[content]"></ng-content>
        </ion-col>
        <!-- Right Content -->
        <ion-col class="ion-no-padding" size="auto">
            <ng-content select="[right-content]"></ng-content>
        </ion-col>
    </ion-row>
</ion-card>
